Skip to main content
POST
/
collections
/
{collectionName}
/
docs
/
list
curl --request POST \
  --url https://{projectHost}/collections/{collectionName}/docs/list \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "size": 10,
  "filter": {
    "queryString": {
      "query": "category:docs"
    }
  },
  "partitionFilter": {
    "field": "tenant",
    "in": [
      "acme"
    ]
  },
  "fields": {
    "include": [
      "id",
      "title",
      "category"
    ]
  },
  "includeVectors": false
}
'
{
  "total": 2,
  "docs": [
    {
      "collection": "example-collection-name",
      "doc": {
        "id": "doc-1",
        "title": "Example document 1",
        "category": "docs"
      }
    },
    {
      "collection": "example-collection-name",
      "doc": {
        "id": "doc-2",
        "title": "Example document 2",
        "category": "docs"
      }
    }
  ],
  "nextPageToken": "eyJpZCI6ICJhYmMiLCAiY3JlYXRlZF9hdCI6ICIyMDI0LTExLTA1VDE0OjI3OjU2KzAwOjAwIn0=",
  "isDocsInline": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.lambdadb.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Project API Key.

Path Parameters

collectionName
string
required

Collection name.

Body

application/json
size
integer
default:100

Max number of documents to return at once.

Required range: 1 <= x <= 100
pageToken
string

Next page token.

filter
object

Filter applied before pagination. Supports queryString and nested bool filters. Vector and ranking query objects are not supported.

partitionFilter
PartitionFilter · object
fields
object

An object to specify a list of field names to include and/or exclude in the result.

includeVectors
boolean
default:false

If your application need to include vector values in the response, set includeVectors to true.

Response

Documents list.

total
integer
required
docs
object[]
required
isDocsInline
boolean
required
nextPageToken
string
docsUrl
string